/* RESET */
body,
p,
h1,
ul,
li {
  padding: 0px;
  margin: 0px;
}

li {
  list-style: none;
}

body {
  font-family: Georgia, serif;
  color: #252525;
  background: #e7e4d8;
}

* {
  box-sizing: border-box;
}

img {
  display: block;
  max-width: 100%;
}

a {
  text-decoration: none;
}

/* HEADER */
.header {
  background: #d6d3c8;
  padding: 20px;
}

.header::after,
.header::before {
  content: "";
  display: table;
  clear: both;
}

.header-logo {
  float: left;
}

.header-menu ul {
  float: right;
}

.header-menu li {
  display: inline-block;
}

.header-menu li a {
  color: #252525;
  font-size: calc(18em / 16);
  padding: 0 10px;
}

.header-menu li:first-child a {
  padding-left: 0px;
}

/* MAIN */

.main-container {
  display: flex;
}

/* SIDE-NAV */
.side-nav {
  width: 300px;
  background: #252525;
}

.side-nav li a {
  display: block;
  color: white;
  border-bottom: 2px solid #484846;
  font-size: calc(18em / 16);
  padding: 20px;
}

.side-nav li a::before {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  background-image: url("../img/icones.png");
  position: relative;
  top: 5px;
  margin-right: 15px;
}

.nav-contabilidade::before {
  background-position: 0 0;
}

.nav-produtos::before {
  background-position: 0 -24px;
}

.nav-paginas::before {
  background-position: 0 calc(-24px * 2);
}

.nav-plugins::before {
  background-position: 0 calc(-24px * 3);
}

.nav-formularios::before {
  background-position: 0 calc(-24px * 4);
}

.nav-hospedagens::before {
  background-position: 0 calc(-24px * 5);
}

/* PRODUTOS */
.produtos {
  width: calc(100% - 300px);
  max-width: 960px;
  float: left;
  margin: 0 auto;
  padding: 20px;
}

.produtos header::before,
.produtos header::after {
  content: "";
  display: table;
  clear: both;
}

.produtos h1 {
  font-size: calc(36em / 16);
  float: left;
}

.adicionar-produtos {
  font-size: calc(18em / 16);
  font-family: Courier, "Courier New", monospace;
  background: #c17139;
  color: #e7e4d8;
  text-transform: uppercase;
  text-align: center;
  padding: 15px;
  border-radius: 4px;
  float: right;
}

.produtos-item {
  background: white;
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.35);
  margin-top: 20px;
  position: relative;
}

.produtos-item::after,
.produtos-item::before {
  content: "";
  display: table;
  clear: both;
}

.produtos-item img {
  float: left;
}

.produtos-item a {
  width: 24px;
  height: 24px;
  overflow: hidden;
  text-indent: -200px;
  position: absolute;
  right: 20px;
  top: 10px;
  background: url("../img/edit.svg") no-repeat;
}

.produtos-item a:hover {
  background: url("../img/edit-hover.svg") no-repeat;
}

.produtos-item ul {
  float: left;
  padding: 0 20px;
  width: calc(100% - 140px);
}

.produtos-item li {
  font-size: calc(18em / 16);
  padding: 10px 0;
  font-family: Courier, monospace;
  border-bottom: 1px solid #e7e4d8;
}

.produtos-item li:last-child {
  border: none;
}

.produtos-item span {
  font-weight: bold;
  width: 70px;
  display: inline-block;
}

/* Footer */
.footer {
  font-size: calc(18em / 16);
  background: #d6d3c8;
  text-align: center;
  padding: 60px 0;
  line-height: calc(22.4em / 16);
}

/* Breakpoints */
@media (max-width: 739px) {
  .header-logo {
    float: none;
  }
  .header-menu ul {
    float: none;
    margin-top: 10px;
  }

  .main-container {
    flex-direction: column;
  }

  .side-nav {
    margin: 20px 0 0 20px;
    background: none;
    width: auto;
  }

  .side-nav li {
    display: inline-block;
  }

  .side-nav li a::before {
    display: block;
    margin: 0px;
    top: 0px;
  }

  .side-nav li a {
    width: 44px;
    height: 44px;
    overflow: hidden;
    padding: 10px;
    border: none;
    color: #252525;
    background: #252525;
    border-radius: 4px;
  }

  .produtos {
    width: 100%;
  }
  .produtos h1 {
    float: none;
  }
  .adicionar-produtos {
    float: none;
    display: inline-block;
    margin: 10px 0;
  }
  .produtos-item img {
    float: none;
  }
  .produtos-item ul {
    float: none;
    width: 100%;
  }
}

@media (min-width: 740px) and (max-width: 980px) {
  .side-nav {
    width: 200px;
  }

  .produtos {
    width: calc(100% - 200px);
  }
}
